#
# spec file for package psi+-iconsets
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 19.02.20+1

Name:           psi+-iconsets
Url:            https://github.com/psi-plus
Version:        19.02.20+1
Release:        pm151.1.2
Summary:        Icons for Psi
License:        GPL-2.0 and CC-BY-ND-3.0
Group:          Productivity/Networking/Talk/Clients
Requires:       psi+ >= 0.16.584
Source0:        psi-plus-resources-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  xz
Obsoletes:      %{name} >= 20100101

%define iconspath %{_datadir}/psi-plus/iconsets

%prep
%setup -q -n psi-plus-resources-%{version}

%build

%install
install -d -m 0755 %{buildroot}/%{iconspath}

for DIR in activities affiliations clients emoticons moods roster system; do
	DEST="%{buildroot}/%{iconspath}/$DIR/"
	install -d -m 0755 "$DEST"
	install -m 0644 -t "$DEST" iconsets/"$DIR"/*.jisp
done

%fdupes $RPM_BUILD_ROOT/%{iconspath}

%description
Some additional icons for Psi - emoticons.

%files
%defattr(-,root,root)
%dir %{_datadir}/psi-plus
%dir %{iconspath}
%dir %{iconspath}/activities
%dir %{iconspath}/affiliations
%dir %{iconspath}/clients
%dir %{iconspath}/emoticons
%dir %{iconspath}/moods
%dir %{iconspath}/roster
%dir %{iconspath}/system
%{iconspath}/activities/*.jisp
%{iconspath}/affiliations/*.jisp
%{iconspath}/clients/*.jisp
%{iconspath}/emoticons/*.jisp
%{iconspath}/moods/*.jisp
%{iconspath}/roster/*.jisp
%{iconspath}/system/*.jisp

%changelog
* Tue Sep 24 2019 jslaby@suse.cz
- Update to version 19.02.20+1:
  * Fixed LunaCat css styles
  * add U+0001f642 to Emoji
  * Added pingvin system iconset from Levan
  * iconpacks: add Dino icon
  * iconpacks updated with yaxim and movim
  * Added new yaxim (yak) icons.
  * Force cursor:pointer on links in lunnaCat theme
  * Fixed spelling errors
  * Fixed html messages rendering in LunaCat
  * Removed old new_classic
  * Fixed LunaCat theme
* Thu May 25 2017 jslaby@suse.com
- switch to new, sane, versioning, following upstream versions
- Update to version 16.02.03+4:
  * * fixed fingerprint.jisp
  * * fix again fingerprint.jisp
  * Added Emojis smileypack
  * Emojis updated to the latest version
  * Add minimal pack of client icons
  * Fix file permissions
  * Fixed Emojis smiles. Version up to 1.1
  * Added chess.jisp affilication iconset (thanks to Леван)
  * Added simple.jisp emoticons by Lyn
  * Removed msn and yaonline icons from fingerprint.jisp
- icons from the main repo are now installed with psi+ natively,
  so drop main from here completely
* Mon Feb  6 2017 olaf@aepfle.de
- update to 20170108
* Sat Apr 23 2016 jslaby@suse.cz
- update to 20160408
  * some icons were pushed to upstream, so we need to carry less of
    them
- _service: put only iconsets into tarballs
* Wed Mar  9 2016 jslaby@suse.cz
- update to 20160309
  * resources were refreshed
* Mon Nov 10 2014 jslaby@suse.cz
- update to 20141106
  * resources were refreshed
- rename service to _service
  * pmbs is new enough, so supports "localonly" mode
- fix license string to conform checker
* Wed Jan  9 2013 jslaby@suse.com
- split the packages
- iconsets now contains non-free icons
